mirror of
https://github.com/vincentmli/bpfire.git
synced 2026-04-09 18:45:54 +02:00
Drop mktemp package.
This is in coreutils now.
This commit is contained in:
@@ -1,3 +0,0 @@
|
||||
usr/bin/mktemp
|
||||
#usr/bin/tempfile
|
||||
#usr/man/man1/mktemp.1
|
||||
79
lfs/mktemp
79
lfs/mktemp
@@ -1,79 +0,0 @@
|
||||
###############################################################################
|
||||
# #
|
||||
# IPFire.org - A linux based firewall #
|
||||
# Copyright (C) 2007 Michael Tremer & Christian Schmidt #
|
||||
# #
|
||||
# This program is free software: you can redistribute it and/or modify #
|
||||
# it under the terms of the GNU General Public License as published by #
|
||||
# the Free Software Foundation, either version 3 of the License, or #
|
||||
# (at your option) any later version. #
|
||||
# #
|
||||
# This program is distributed in the hope that it will be useful, #
|
||||
# but WITHOUT ANY WARRANTY; without even the implied warranty of #
|
||||
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE. See the #
|
||||
# GNU General Public License for more details. #
|
||||
# #
|
||||
# You should have received a copy of the GNU General Public License #
|
||||
# along with this program. If not, see <http://www.gnu.org/licenses/>. #
|
||||
# #
|
||||
###############################################################################
|
||||
|
||||
###############################################################################
|
||||
# Definitions
|
||||
###############################################################################
|
||||
|
||||
include Config
|
||||
|
||||
VER = 1.5
|
||||
|
||||
THISAPP = mktemp-$(VER)
|
||||
DL_FILE = $(THISAPP).tar.bz2
|
||||
DL_FROM = $(URL_IPFIRE)
|
||||
DIR_APP = $(DIR_SRC)/$(THISAPP)
|
||||
TARGET = $(DIR_INFO)/$(THISAPP)
|
||||
|
||||
###############################################################################
|
||||
# Top-level Rules
|
||||
###############################################################################
|
||||
|
||||
objects = $(DL_FILE)
|
||||
|
||||
$(DL_FILE) = $(DL_FROM)/$(DL_FILE)
|
||||
|
||||
$(DL_FILE)_MD5 = 3359aa075083aeae3ed6ca67ec5d944b
|
||||
|
||||
install : $(TARGET)
|
||||
|
||||
check : $(patsubst %,$(DIR_CHK)/%,$(objects))
|
||||
|
||||
download :$(patsubst %,$(DIR_DL)/%,$(objects))
|
||||
|
||||
md5 : $(subst %,%_MD5,$(objects))
|
||||
|
||||
###############################################################################
|
||||
# Downloading, checking, md5sum
|
||||
###############################################################################
|
||||
|
||||
$(patsubst %,$(DIR_CHK)/%,$(objects)) :
|
||||
@$(CHECK)
|
||||
|
||||
$(patsubst %,$(DIR_DL)/%,$(objects)) :
|
||||
@$(LOAD)
|
||||
|
||||
$(subst %,%_MD5,$(objects)) :
|
||||
@$(MD5)
|
||||
|
||||
###############################################################################
|
||||
# Installation Details
|
||||
###############################################################################
|
||||
|
||||
$(TARGET) : $(patsubst %,$(DIR_DL)/%,$(objects))
|
||||
@$(PREBUILD)
|
||||
@rm -rf $(DIR_APP) && cd $(DIR_SRC) && tar jxf $(DIR_DL)/$(DL_FILE)
|
||||
cd $(DIR_APP) && patch -Np1 < $(DIR_SRC)/src/patches/$(THISAPP)-add_tempfile-3.patch
|
||||
cd $(DIR_APP) && ./configure --prefix=/usr --with-libc
|
||||
cd $(DIR_APP) && make $(MAKETUNING)
|
||||
cd $(DIR_APP) && make install
|
||||
cd $(DIR_APP) && make install-tempfile
|
||||
@rm -rf $(DIR_APP)
|
||||
@$(POSTBUILD)
|
||||
1
make.sh
1
make.sh
@@ -362,7 +362,6 @@ buildbase() {
|
||||
lfsmake2 less
|
||||
lfsmake2 make
|
||||
lfsmake2 man
|
||||
lfsmake2 mktemp
|
||||
lfsmake2 kmod
|
||||
lfsmake2 net-tools
|
||||
lfsmake2 patch
|
||||
|
||||
@@ -1,111 +0,0 @@
|
||||
Submitted By: Tushar Teredesai <tushar@linuxfromscratch.org>
|
||||
Date: 2005-07-25
|
||||
Initial Package Version: 1.5
|
||||
Upstream Status: Sent, no response yet.
|
||||
Origin: http://archive.linuxfromscratch.org/mail-archives/lfs-dev/2003-April/033602.html
|
||||
http://archive.linuxfromscratch.org/mail-archives/lfs-dev/2003-June/035234.html
|
||||
http://linuxfromscratch.org/pipermail/lfs-dev/2005-June/051908.html
|
||||
Description: Add tempfile wrapper script. Use "make install-tempfile" to install it.
|
||||
|
||||
diff -Naur mktemp-1.5.orig/Makefile.in mktemp-1.5/Makefile.in
|
||||
--- mktemp-1.5.orig/Makefile.in 2003-03-23 18:09:56.000000000 -0700
|
||||
+++ mktemp-1.5/Makefile.in 2005-07-25 11:11:11.000000000 -0600
|
||||
@@ -113,6 +113,9 @@
|
||||
install-man:
|
||||
$(INSTALL) -m 0444 $(srcdir)/$(PROG).$(mantype) $(mandir)/man1/$(PROG).1
|
||||
|
||||
+install-tempfile: $(srcdir)/tempfile
|
||||
+ $(INSTALL) -m 0555 $(srcdir)/tempfile $(bindir)/tempfile
|
||||
+
|
||||
check:
|
||||
@echo nothing to check
|
||||
|
||||
diff -Naur mktemp-1.5.orig/tempfile mktemp-1.5/tempfile
|
||||
--- mktemp-1.5.orig/tempfile 1969-12-31 17:00:00.000000000 -0700
|
||||
+++ mktemp-1.5/tempfile 2005-07-25 11:13:41.000000000 -0600
|
||||
@@ -0,0 +1,85 @@
|
||||
+#!/bin/bash
|
||||
+# A tempfile wrapper for mktemp
|
||||
+# Note: If you can, avoid using tempfile and use mktemp instead.
|
||||
+# This wrapper is provided for compatibility since some scripts use
|
||||
+# tempfile. If possible, the best solution is to patch the scripts
|
||||
+# to use mktemp.
|
||||
+#
|
||||
+# Copyright (c) Tushar Teredesai <tush@yahoo.com>
|
||||
+#
|
||||
+# Permission to use, copy, modify, and distribute this software for any
|
||||
+# purpose with or without fee is hereby granted, provided that the above
|
||||
+# copyright notice and this permission notice appear in all copies.
|
||||
+#
|
||||
+# THE SOFTWARE IS PROVIDED "AS IS" AND THE AUTHOR DISCLAIMS ALL WARRANTIES
|
||||
+# WITH REGARD TO THIS SOFTWARE INCLUDING ALL IMPLIED WARRANTIES OF
|
||||
+# MERCHANTABILITY AND FITNESS. IN NO EVENT SHALL THE AUTHOR BE LIABLE FOR
|
||||
+# ANY SPECIAL, DIRECT, INDIRECT, OR CONSEQUENTIAL DAMAGES OR ANY DAMAGES
|
||||
+# WHATSOEVER RESULTING FROM LOSS OF USE, DATA OR PROFITS, WHETHER IN AN
|
||||
+# ACTION OF CONTRACT, NEGLIGENCE OR OTHER TORTIOUS ACTION, ARISING OUT OF
|
||||
+# OR IN CONNECTION WITH THE USE OR PERFORMANCE OF THIS SOFTWARE.
|
||||
+#
|
||||
+
|
||||
+# Usage info
|
||||
+usage()
|
||||
+{
|
||||
+ echo "Usage: tempfile [OPTION]"
|
||||
+ echo
|
||||
+ echo "Create a temporary file in a safe manner."
|
||||
+ echo "This version is a wrapper that invokes mktemp."
|
||||
+ echo "NOTE: Do not use tempfile in your scripts."
|
||||
+ echo " Use mktemp instead."
|
||||
+ echo
|
||||
+ echo "[-d|--directory] DIR -> place temporary file in DIR"
|
||||
+ echo "[-p|--prefix] PREFIX -> ignored"
|
||||
+ echo "[-s|--suffix] SUFFIX -> ignored"
|
||||
+ echo "[-n|--name] NAME -> ignored"
|
||||
+ echo "[-m|--mode] MODE -> ignored"
|
||||
+ echo "--version -> output version information and exit"
|
||||
+}
|
||||
+
|
||||
+# parse all arguments
|
||||
+while [ $# != 0 ]
|
||||
+do
|
||||
+ case "$1" in
|
||||
+ # -d for tempfile is equivalent to -p for mktemp
|
||||
+ -d|--directory)
|
||||
+ dir="$2"
|
||||
+ shift 2
|
||||
+ ;;
|
||||
+ --directory=*)
|
||||
+ dir="${1#--directory=}"
|
||||
+ shift 1
|
||||
+ ;;
|
||||
+ -d*)
|
||||
+ dir="${1#-d}"
|
||||
+ shift 1
|
||||
+ ;;
|
||||
+ # The following switches are ignored.
|
||||
+ -p|--prefix|-s|--suffix|-n|--name|-m|--mode)
|
||||
+ shift 2
|
||||
+ ;;
|
||||
+ -p*|--prefix=*|-s*|--suffix=*|-n*|--name=*|-m*|--mode=*)
|
||||
+ shift 1
|
||||
+ ;;
|
||||
+ # --version for tempfile is equivalent to -V for mktemp
|
||||
+ --version)
|
||||
+ echo "tempfile 1.0 (`mktemp -V 2>/dev/null`)"
|
||||
+ exit 0
|
||||
+ ;;
|
||||
+ # Unknown switch
|
||||
+ *)
|
||||
+ usage
|
||||
+ exit 1
|
||||
+ ;;
|
||||
+ esac
|
||||
+done
|
||||
+
|
||||
+# Use the dir if $TMPDIR is not set.
|
||||
+if [ -z "$TMPDIR" -a ! -z "$dir" ]
|
||||
+then
|
||||
+ export TMPDIR="$dir"
|
||||
+fi
|
||||
+# Execute mktemp with proper arguments
|
||||
+# the -t behaviour of mktemp is the default for tempfile
|
||||
+exec mktemp -t
|
||||
Reference in New Issue
Block a user